Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductOffering

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductOffering

All Implemented Interfaces:
  `GuiTitlable`, `Idable`

    public class ProductOffering
    extends java.lang.Object
    implements Idable, GuiTitlable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductOffering()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<ProductOfferingActivationMode>` | `getActivationModeList()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getId()` | Возвращает id объекта
  `int` | `getPeriodAmount()` |
  `int` | `getPeriodMode()` |
  `java.math.BigDecimal` | `getPrice()` |
  `ProductSpec` | `getProductSpec()` |
  `boolean` | `isEnable()` |
  `void` | `setActivationModeList​(java.util.List<ProductOfferingActivationMode> activationModeList)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setEnable​(boolean enable)` |
  `void` | `setPeriodAmount​(int periodAmount)` |
  `void` | `setPeriodMode​(int periodMode)` |
  `void` | `setPrice​(java.math.BigDecimal price)` |
  `void` | `setProductSpec​(ProductSpec productSpec)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductOffering

    public ProductOffering()

- ## Method Details

  - ### getProductSpec

    public ProductSpec getProductSpec()

  - ### setProductSpec

    public void setProductSpec​(ProductSpec productSpec)

  - ### getActivationModeList

    public java.util.List<ProductOfferingActivationMode> getActivationModeList()

  - ### setActivationModeList

    public void setActivationModeList​(java.util.List<ProductOfferingActivationMode> activationModeList)

  - ### isEnable

    public boolean isEnable()

  - ### setEnable

    public void setEnable​(boolean enable)

  - ### getPeriodMode

    public int getPeriodMode()

  - ### setPeriodMode

    public void setPeriodMode​(int periodMode)

  - ### getPeriodAmount

    public int getPeriodAmount()

  - ### setPeriodAmount

    public void setPeriodAmount​(int periodAmount)

  - ### getPrice

    public java.math.BigDecimal getPrice()

  - ### setPrice

    public void setPrice​(java.math.BigDecimal price)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getId

    public int getId()
    Description copied from interface: `Idable`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns:

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.